MongoGridFS::storeBytes
MongoGridFS::storeUpload
MongoGridFS
PHP Manual

# MongoGridFS::storeFile

(PECL mongo >=0.9.0)

MongoGridFS::storeFile — Stocke un fichier dans la base de données

### Description

public mixed MongoGridFS::storeFile ( string `$filename` [, array `$extra` = array() [, array `$options` = array() ]] )

### Liste de paramètres

`filename`

  Le nom du fichier.

`extra`

  Les autres métadonnées du fichier.

`options`

  Options pour le stockage.

  - "safe"

    Vérifie si le stockage a réussi.

### Valeurs de retour

Retourne l'identifiant de l'objet sauvegardé.

### Erreurs / Exceptions

Lance une exception MongoCursorException si l'option "safe" est définie et que l'insertion échoue.

MongoGridFS::storeBytes
MongoGridFS::storeUpload
MongoGridFS
PHP Manual